{% extends 'base.html.twig' %}

{% block title %}Book index{% endblock %}

{% block body %}
    <h1>Book index</h1>

    <table class="table">
        <thead>
            <tr>
                <th>Title</th>
                <th>Publication date</th>
            </tr>
        </thead>
        <tbody>
        {% for book in books %}
            <tr>
                <td>{{ book.title }}</td>
                <td>{{ book.publicationDate ? book.publicationDate | date('d/m/Y') : ''  }}</td>
            </tr>
        {% else %}
            <tr>
                <td colspan="8">No books found</td>
            </tr>
        {% endfor %}
        </tbody>
    </table>

    <a href="{{ path('book_new') }}">Create new</a>
{% endblock %}
